## xdg-terminal-exec 0.12.1

=== Makefile ===
SHELL = /bin/sh
prefix ?= /usr/local
exec_prefix ?= $(prefix)
bindir ?= $(exec_prefix)/bin
datarootdir ?= $(prefix)/share
mandir ?= $(datarootdir)/man
man1dir ?= $(mandir)/man1

xdg-terminal-exec.1:
	@type scdoc >/dev/null || { echo "scdoc not found in PATH" >&2; exit 127; }
	@type gzip >/dev/null || { echo "gzip not found in PATH" >&2; exit 127; }
	scdoc < xdg-terminal-exec.1.scd | gzip -c > xdg-terminal-exec.1.gz

.PHONY: all
all: xdg-terminal-exec.1

.PHONY: clean
clean:
	rm -f xdg-terminal-exec.1.gz

.PHONY: install-man
install-man: xdg-terminal-exec.1
	install -Dm644 xdg-terminal-exec.1.gz -t $(man1dir)

.PHONY: install-bin
install-bin:
	install -Dm755 xdg-terminal-exec -t $(bindir)

.PHONY: install-conf
install-conf:
	install -Dm644 xdg-terminals.list -t $(datarootdir)/xdg-terminal-exec

.PHONY: install
install: install-man install-bin install-conf

.PHONY: uninstall
uninstall:
	rm -f $(bindir)/xdg-terminal-exec
	rm -f $(man1dir)/xdg-terminal-exec.1.gz
	rm -f $(datarootdir)/xdg-terminal-exec/xdg-terminals.list
	rmdir $(datarootdir)/xdg-terminal-exec/

## xdg-terminal-exec 0~20230318

=== debian/changelog ===
xdg-terminal-exec (0~20230318-1) unstable; urgency=medium

  * New upstream snapshot
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 29 Mar 2023 11:32:54 -0400

xdg-terminal-exec (0~20221120-1) experimental; urgency=medium

  * Initial release (Closes: #1029907)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 26 Jan 2023 13:41:54 -0500

=== debian/control ===
Source: xdg-terminal-exec
Section: x11
Priority: optional
Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/freedesktop-team/xdg-terminal-exec
Vcs-Git: https://salsa.debian.org/freedesktop-team/xdg-terminal-exec.git
Homepage: https://github.com/Vladimir-csp/xdg-terminal-exec

Package: xdg-terminal-exec
Architecture: all
Depends: ${misc:Depends}, xterm | x-terminal-emulator
Description: user default terminal execution utility
 xdg-terminal-exec is an implementation of a proposed freedesktop.org
 specification for launching a user's default terminal app.

## xdg-terminal-exec 0.10.0

=== debian/changelog ===
xdg-terminal-exec (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Use scdoc to build manpage
  * Create temporary $HOME for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Jun 2024 20:04:36 -0400

xdg-terminal-exec (0.9.3-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (Closes: #1068196)
  * Add debian/watch
  * Bump Standards Version to 4.7.0

  [ Nathan Pratta Teodosio ]
  * Run upstream tests at build time and as autopkgtest (Closes: #1072914)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Jun 2024 20:42:31 -0400

## xdg-terminal-exec 0.10.1

=== debian/changelog ===
xdg-terminal-exec (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 11:30:03 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_installman:
	scdoc < xdg-terminal-exec.1.scd > debian/xdg-terminal-exec.1

execute_after_dh_auto_test:
	mkdir -p $(CURDIR)/debian/build
	HOME=$(CURDIR)/debian/build bats ./test/*.bats
	rm -rf $(CURDIR)/debian/build

## xdg-terminal-exec 0.11.1

=== debian/changelog ===
xdg-terminal-exec (0.11.1-2) unstable; urgency=medium

  * Team upload
  * d/control: Swap the "xterm | x-terminal-emulator" depends

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 17 Sep 2024 13:13:43 -0400

xdg-terminal-exec (0.11.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1080973)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 19:23:40 -0400

xdg-terminal-exec (0.11.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1080963)
  * Drop manual installation since there is now a Makefile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Sep 2024 18:43:33 -0400

=== debian/control ===
Source: xdg-terminal-exec
Section: x11
Priority: optional
Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13), bats <!nocheck>, scdoc <!nodoc>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/freedesktop-team/xdg-terminal-exec
Vcs-Git: https://salsa.debian.org/freedesktop-team/xdg-terminal-exec.git
Homepage: https://github.com/Vladimir-csp/xdg-terminal-exec

Package: xdg-terminal-exec
Architecture: all
Depends: ${misc:Depends}, x-terminal-emulator | xterm
Description: user default terminal execution utility
 xdg-terminal-exec is an implementation of a proposed freedesktop.org
 specification for launching a user's default terminal app.

## xdg-terminal-exec 0.12.0

=== debian/changelog ===
xdg-terminal-exec (0.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 16:27:13 -0500

## xdg-terminal-exec 0.12.1

=== debian/changelog ===
xdg-terminal-exec (0.12.1-3) unstable; urgency=medium

  * Set GNOME Terminal as default for GNOME & Ubuntu desktops
    in /usr/share/xdg-terminal-exec/ to match what's installed by default

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Mar 2025 19:16:44 -0500

xdg-terminal-exec (0.12.1-2) unstable; urgency=medium

  * Add alternate depends for gnome-terminal and ptyxis

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 08:03:45 -0500

xdg-terminal-exec (0.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 19:06:13 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: xdg-terminal-exec
 Architecture: all
-Depends: ${misc:Depends}, x-terminal-emulator | xterm
+Depends: ${misc:Depends}, gnome-terminal | ptyxis | x-terminal-emulator | xterm
 Description: user default terminal execution utility
  xdg-terminal-exec is an implementation of a proposed freedesktop.org
  specification for launching a user's default terminal app.

=== debian/rules ===
#!/usr/bin/make -f

export prefix=debian/xdg-terminal-exec/usr

%:
	dh $@

execute_after_dh_auto_test:
	mkdir -p $(CURDIR)/debian/build
	HOME=$(CURDIR)/debian/build bats ./test/*.bats
	rm -rf $(CURDIR)/debian/build

## xdg-terminal-exec 0.12.3

=== debian/changelog ===
xdg-terminal-exec (0.12.3-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete dh_auto_test override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 09:18:12 -0400

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s/.*v@ANY_VERSION@/@PACKAGE@-$1\.tar\.gz/ \
https://api.github.com/repos/Vladimir-csp/@PACKAGE@/tags \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v@ANY_VERSION@

## xdg-terminal-exec 0.13.2

=== Makefile ===
--- 
+++ 
@@ -20,15 +20,15 @@
 
 .PHONY: install-man
 install-man: xdg-terminal-exec.1
-	install -Dm644 xdg-terminal-exec.1.gz -t $(man1dir)
+	install -Dpm644 xdg-terminal-exec.1.gz -t $(man1dir)
 
 .PHONY: install-bin
 install-bin:
-	install -Dm755 xdg-terminal-exec -t $(bindir)
+	install -Dpm755 xdg-terminal-exec -t $(bindir)
 
 .PHONY: install-conf
 install-conf:
-	install -Dm644 xdg-terminals.list -t $(datarootdir)/xdg-terminal-exec
+	install -Dpm644 xdg-terminals.list -t $(datarootdir)/xdg-terminal-exec
 
 .PHONY: install
 install: install-man install-bin install-conf
@@ -39,3 +39,8 @@
 	rm -f $(man1dir)/xdg-terminal-exec.1.gz
 	rm -f $(datarootdir)/xdg-terminal-exec/xdg-terminals.list
 	rmdir $(datarootdir)/xdg-terminal-exec/
+
+.PHONY: test
+test:
+	@type bats >/dev/null || { echo "bats not found in PATH" >&2; exit 127; }
+	test/tests.bats

=== debian/changelog ===
xdg-terminal-exec (0.13.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Lower x-terminal-emulator from Depends to Suggests
    and remove explicit alternates

  [ Alessandro Astone ]
  * debian: Set default Ubuntu terminal to Ptyxis

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Aug 2025 12:27:04 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
 
 Package: xdg-terminal-exec
 Architecture: all
-Depends: ${misc:Depends}, gnome-terminal | ptyxis | x-terminal-emulator | xterm
+Depends: ${misc:Depends}
+Suggests: x-terminal-emulator
 Description: user default terminal execution utility
  xdg-terminal-exec is an implementation of a proposed freedesktop.org
  specification for launching a user's default terminal app.

=== debian/tests/control ===
Test-Command: bats ./test/tests.bats
Depends: @, bats

## xdg-terminal-exec 0.13.3

=== debian/changelog ===
xdg-terminal-exec (0.13.3-2) unstable; urgency=medium

  * Add Alessandro's migration script from x-terminal-emulator
    but only use it on Ubuntu since I'm uncertain about its usefulness
    for Debian (LP: #2107326, #2121943)
  * Convert the script to user-session-migration

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Nov 2025 08:38:44 -0500

xdg-terminal-exec (0.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Nov 2025 08:27:19 -0500

xdg-terminal-exec (0.13.2-2) unstable; urgency=medium

  * Set default GNOME terminal to Ptyxis
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Sep 2025 09:18:39 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Priority: optional
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: debhelper-compat (= 13), bats <!nocheck>, scdoc <!nodoc>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-user-session-migration,
+ bats <!nocheck>,
+ scdoc <!nodoc>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/xdg-terminal-exec
 Vcs-Git: https://salsa.debian.org/freedesktop-team/xdg-terminal-exec.git
 Homepage: https://github.com/Vladimir-csp/xdg-terminal-exec

=== debian/rules ===
#!/usr/bin/make -f

export prefix=debian/xdg-terminal-exec/usr

%:
	dh $@

# Only use the migration script on Ubuntu derivatives
override_dh_user-session-migration:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	dh_user-session-migration
endif

## xdg-terminal-exec 0.14.0

=== debian/changelog ===
xdg-terminal-exec (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Remove unnecessary Priority: optional field
  * Install sway-xdg-terminals.list and add Breaks/Replaces against
    older reform-tools

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Dec 2025 13:32:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xdg-terminal-exec
 Section: x11
-Priority: optional
 Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
@@ -17,6 +16,8 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: x-terminal-emulator
+Breaks: reform-tools (<< 1.82-3~)
+Replaces: reform-tools (<< 1.82-3~)
 Description: user default terminal execution utility
  xdg-terminal-exec is an implementation of a proposed freedesktop.org
  specification for launching a user's default terminal app.
